[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[virt-tools-list] [PATCH virt-viewer] build-sys: simplify autogen.sh



It should support NOCONFIGURE=1 ./autogen.sh && mingw32-configure
---
 autogen.sh |   38 ++++----------------------------------
 1 files changed, 4 insertions(+), 34 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index cf1e33b..8d97cd1 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,35 +1,13 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
-set -e
+set -ex
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
 THEDIR=`pwd`
 cd $srcdir
 
-DIE=0
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "You must have autoconf installed to compile virt-viewer."
-    echo "Download the appropriate package for your distribution,"
-    echo "or see http://www.gnu.org/software/autoconf";
-    DIE=1
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    DIE=1
-    echo "You must have automake installed to compile virt-viewer."
-    echo "Download the appropriate package for your distribution,"
-    echo "or see http://www.gnu.org/software/automake";
-}
-
-if test "$DIE" -eq 1; then
-    exit 1
-fi
-
 EXTRA_ARGS=""
 if test "x$1" = "x--system"; then
     shift
@@ -41,24 +19,16 @@ if test "x$1" = "x--system"; then
         libdir=$prefix/lib64
     fi
     EXTRA_ARGS="--prefix=$prefix --sysconfdir=$sysconfdir --localstatedir=$localstatedir --libdir=$libdir"
-    echo "Running ./configure with $EXTRA_ARGS $@"
-else
-    if test -z "$*" ; then
-        echo "I am going to run ./configure with no arguments - if you wish "
-        echo "to pass any to it, please specify them on the $0 command line."
-    fi
 fi
 
-libtoolize --copy --force
 intltoolize --force
-aclocal -I m4
-autoheader
-automake --add-missing --copy
-autoconf
+autoreconf -vfi
 
 cd $THEDIR
 
+if [ -z "$NOCONFIGURE" ]; then
 $srcdir/configure $EXTRA_ARGS "$@" && {
     echo
     echo "Now type 'make' to compile virt-viewer."
 }
+fi
-- 
1.7.7.6


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]